// FILENAME:	AI_Cardinal_Spear.cs
//
// AUTHOR:  	Gen. Raven [M.I.B.] 
//
// RANDOM THOUGHT: Prometheus is actually an idiot. The goad is the brains of it all.
//------------------------------------------------------------------------------

$missionName = "AI_Cardinal_Spear";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

///////////////////////////////////////////////////////////////////////////////////////////////////
// Lots O' Globals
///////////////////////////////////////////////////////////////////////////////////////////////////
$redKills = 0;
$yellowKills = 0;

$redBuildingsDestroyed = 0;
$yellowBuildingsDestroyed = 0;

$yellowHerc1RespawnTime = 0;
$yellowHerc2RespawnTime = 0;
$yellowHerc3RespawnTime = 0;
$redHerc1RespawnTime = 0;
$redHerc2RespawnTime = 0;
$redHerc3RespawnTime = 0;

$yellowHerc1Path = "MissionGroup/yellowHerc1Path";
$yellowHerc2Path = "MissionGroup/yellowHerc2Path";
$yellowHerc3Path = "MissionGroup/yellowHerc3Path";
$redHerc1Path = "MissionGroup/redHerc1Path";
$redHerc2Path = "MissionGroup/redHerc2Path";
$redHerc3Path = "MissionGroup/redHerc3Path";

$yellowHqDestroyed = false;
$redHqDestroyed = false;

$padWaitTime = 50;
$zenWaitTime = 50;

///////////////////////////////////////////////////////////////////////////////////////////////////
// the Game Info tab uses these variables in the rules
///////////////////////////////////////////////////////////////////////////////////////////////////
$respawnDelay = 30;
$respawnDelayNoHq = 30;
$BUILDINGS_TO_DESTROY = 6;

///////////////////////////////////////////////////////////////////////////////////////////////////
// our base defender attributes
//
// The jump from 0.9 to 1.0 is a big one. At skill 1.0 and accuracy 1.0 the AI units will aim 
// first for the weapons, then the legs. A little too much for this mission.
//
///////////////////////////////////////////////////////////////////////////////////////////////////
Pilot Caanon
{
   id = 28;
   
   name = "Caanon";
   
   skill = 2.0;
   accuracy = 0.9;
   aggressiveness = 1.5;
   activateDist = 700.0;
   deactivateBuff = 700.0;
   targetFreq = 2.0;
   trackFreq = 0.0;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 2.0;
};

Pilot Prometheus
{
   id = 29;
   
   name = "Prometheus";
   
   skill = 2.0;
   accuracy = 0.9;
   aggressiveness = 2.0;
   activateDist = 1000.0;
   deactivateBuff = 700.0;
   targetFreq = 0.4;
   trackFreq = 0.4;
   fireFreq = 0.2;
   LOSFreq = 0.4;
   orderFreq = 2.0;
};


function setDefaultMissionOptions()
{
	$server::TeamPlay = True;
	$server::AllowDeathmatch = False;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}


function onMissionLoad()
{
   cdAudioCycle("Newtech", "Mechsoul", "CloudBurst"); 

// get the original ID for each AI Herc ( for use later when we clone them )
   $yellowHerc1 = getObjectId( "MissionGroup/yellowHercs/h1" );
   $yellowHerc2 = getObjectId( "MissionGroup/yellowHercs/h2" );
   $yellowHerc3 = getObjectId( "MissionGroup/yellowHercs/h3" );
   
   $redHerc1 = getObjectId( "MissionGroup/redHercs/h1" );
   $redHerc2 = getObjectId( "MissionGroup/redHercs/h2" );
   $redHerc3 = getObjectId( "MissionGroup/redHercs/h3" );
}

//-------------------------------------------------------------
function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Operation Cardinal Spear! Proceed to nav Omega and engage Prometheus & his cybrids. You can download this & other missions made by Gen. Raven [M.I.B.] in the \"MIB Map Packs\" at www.starsiegeplayers.com or on the MIB Website at www.starsiegemeninblack.cjb.net.");
   say("Everybody", 1, "CAANON: Icehawk moving to assist you.","MH_G2.WAV"); 
}

function vehicle::onAdd(%this)
{
   schedule( "setEnemyNavPoint(" @ %this @ ");", 1 );
   // Spawn them all on yellow team
   if(getTeam(%this) == *IDSTR_TEAM_PURPLE)
   {
      setTeam(%this, *IDSTR_TEAM_YELLOW);
      redrop(%this);
   }

}

function setEnemyNavPoint( %this )
{
   setNavMarker( "MissionGroup/NavPoints/Omega", true, %this );
}

function vehicle::onDestroyed( %this, %destroyer )
{
   if(%destroyer == $yellowHerc1) 
   {
       say("Everybody", 1, "CAANON: Taste your own medicine!","GEN_CAA05.wav");
   }
   else if(%destroyer == $yellowHerc2) 
   {
       say("Everybody", 1, "GOAD: Huh. Seem to have destroyed you. Sorry.","ee_pd36.WAV");
   }
   else if(%destroyer == $redHerc1) 
   {
       say("Everybody", 1, "PROMETHEUS: Meat deserves death.","C1_meatdeath.WAV");
   }
   else if(%destroyer == $redHerc2) 
   {
       say("Everybody", 1, "ADJUDICATOR: Submit to giver//of//will.","C1_submitto.WAV");
   }
   else if(%destroyer == $redHerc3) 
   {
       say("Everybody", 1, "EXECUTIONER: Shoot to cripple.","C5_shoottocripple.WAV");
   }
   if(%this == $yellowHerc1) 
   {
       say("Everybody", 1, "CAANON: So you're the one who killed my brother.","MH_T1.WAV");
   }
   else if(%this == $yellowHerc2) 
   {
       say("Everybody", 1, "GOAD: I've fallen and I can't get up.","ee_pd41.WAV");
   }
   else if(%this == $redHerc1) 
   {
       say("Everybody", 1, "PROMETHEUS: Violence = strength.","C1_viloence.WAV");
   }
   else if(%this == $redHerc2) 
   {
       say("Everybody", 1, "ADJUDICATOR: Giver//of//will knows all.","C1_giverknows.WAV");
   }
   else if(%this == $redHerc3) 
   {
       say("Everybody", 1, "EXECUTIONER: This human is durable.","C2_Thishuman.WAV");
   }
   if( getTeam( %this ) == *IDSTR_TEAM_RED )
   {
      $yellowKills++;
   }
   else
   {
      $redKills++;
   }

   // award the player a kill ( if the enemy is a different color )
   if( getTeam( %destroyer ) != getTeam( %this ) )
   {
      %player = playerManager::vehicleIdToPlayerNum( %destroyer );
      if(%player != 0)
      {
         %player.numKills++;      
      }
   }
   
   //----------------------------------------------------------------
   // If any of our AI hercs die, give a message and re-clone/drop them
   //----------------------------------------------------------------
   if( %this == $yellowHerc1 )
   {
      $yellowHercsDestroyed++;
      
      if( $yellowHqDestroyed == false )
      {
         schedule( "trevorsCloneVehicle(\"$yellowHerc1\", " @ %this @ ", 1470.94, -1740.71, 701);", $respawnDelay);
      }
      else
      {
         schedule( "trevorsCloneVehicle(\"$yellowHerc1\", " @ %this @ ", 1470.94, -1740.71, 701);", $respawnDelay);
      }
   }
   if( %this == $yellowHerc2 )
   {
      $yellowHercsDestroyed++;

      if( $yellowHqDestroyed == false )
      {
         schedule( "trevorsCloneVehicle(\"$yellowHerc2\", " @ %this @ ", 359.953, -1775.26, 405);", $respawnDelay);
      }
      else
      {
         schedule( "trevorsCloneVehicle(\"$yellowHerc2\", " @ %this @ ", 359.953, -1775.26, 405);", $respawnDelay);
      }
   }
   if( %this == $yellowHerc3 )
   {
      $yellowHercsDestroyed++;
      
      if( $yellowHqDestroyed == false )
      {
         schedule( "trevorsCloneVehicle(\"$yellowHerc3\", " @ %this @ ", 453.893, 832.191, 101);", $respawnDelay);
      }
      else
      {
         schedule( "trevorsCloneVehicle(\"$yellowHerc3\", " @ %this @ ", 453.893, 832.191, 101);", $respawnDelay);
      }
   }

   if( %this == $redHerc1 )
   {
      $redHercsDestroyed++;
      
      if( $redHqDestroyed == false )
      {
         schedule( "trevorsCloneVehicle(\"$redHerc1\", " @ %this @ ", -137.885, -1745.32, 463);", $respawnDelay);
      }
      else
      {
         schedule( "trevorsCloneVehicle(\"$redHerc1\", " @ %this @ ", -137.885, -1745.32, 463);", $respawnDelay);
      }
   }
   if( %this == $redHerc2 )
   {
      $redHercsDestroyed++;
      
      if( $redHqDestroyed == false )
      {
         schedule( "trevorsCloneVehicle(\"$redHerc2\", " @ %this @ ", -140.541, -1599.17, 462);", $respawnDelay);
      }
      else
      {
         schedule( "trevorsCloneVehicle(\"$redHerc2\", " @ %this @ ", -140.541, -1599.17, 462);", $respawnDelay);
      }
   }
   if( %this == $redHerc3 )
   {
      $redHercsDestroyed++;
      
      if( $redHqDestroyed == false )
      {
         schedule( "trevorsCloneVehicle(\"$redHerc3\", " @ %this @ ", 87.8125, -1813.98, 461);", $respawnDelay);
      }
      else
      {
         schedule( "trevorsCloneVehicle(\"$redHerc3\", " @ %this @ ", 87.8125, -1813.98, 461);", $respawnDelay);
      }
   }

   // left over from missionStdLib.cs
   vehicle::onDestroyedLog(%this, %destroyer);
   
   // give the death messages...
   %message = getFancyDeathMessage(getHUDName(%this), getHUDName(%destroyer));
   if(%message != "")
   {
      say( 0, 0, %message);
   }
}

function onMissionStart()
{

 	$padWaitTime = 50;
  	$zenWaitTime = 50;

	plutoSounds();	

   initGlobalVars();
   
   order( $yellowHerc1, guard, $yellowHerc1Path );
   order( $yellowHerc2, guard, $yellowHerc2Path );
   order( $yellowHerc3, guard, $yellowHerc3Path );
   order( $redHerc1, guard, $redHerc1Path );
   order( $redHerc2, guard, $redHerc2Path );
   order( $redHerc3, guard, $redHerc3Path );
}

function trevorsCloneVehicle(%globalVarName, %old, %x, %y, %z)
{
   if(%old == $yellowHerc1) 
   {
       say("Everybody", 1, "CAANON: Maneuvering to engage enemy units.","MH_G1.WAV");
   }
   else if(%old == $yellowHerc2) 
   {
       say("Everybody", 1, "GOAD: Gettem girls!","ee_pd06.WAV");
   }
   else if(%old == $redHerc1) 
   {
       say("Everybody", 1, "PROMETHEUS: \\execute\\ core directive.","C1_executecore.WAV");
   }
   else if(%old == $redHerc2) 
   {
       say("Everybody", 1, "ADJUDICATOR: Praise first//thought.","C1_praisefirst.WAV");
   }
   else if(%old == $redHerc3) 
   {
       say("Everybody", 1, "EXECUTIONER: Success is the sole judge of right and wrong.","C2_success.WAV");
   }

   %clone = cloneVehicle(%old);
   setPosition(%clone, %x, %y, %z);

   schedule( "deleteObject(" @ %old @ ");", $respawnDealNoHq + 10 );

   schedule( %globalVarName @ " = " @ %clone @ ";", 0);

   addToSet( "MissionGroup", %clone );

   %path = %globalVarName @ "Path";
   schedule( "order( " @ %clone @ ", guard, " @ %path @ " );", 1 );
}